<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-wifi-info.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">mcm-wifi-info.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&quot;</code><br />
</div>
<p><a href="mcm-wifi-info_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4f10d1aa692c35debef1a7e13683b7b3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-wifi-info_8h.html#a4f10d1aa692c35debef1a7e13683b7b3">mcm_wifi_get_all_properties</a> (char *interfaceName, int *arr_len, <a class="el" href="structmcm__property__info.html">mcm_property_info</a> **info_arr)</td></tr>
<tr class="memdesc:a4f10d1aa692c35debef1a7e13683b7b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get all ethernet properties.  <a href="mcm-wifi-info_8h.html#a4f10d1aa692c35debef1a7e13683b7b3">More...</a><br /></td></tr>
<tr class="separator:a4f10d1aa692c35debef1a7e13683b7b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a682a4e564a2efba3eaac897188234487"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-wifi-info_8h.html#a682a4e564a2efba3eaac897188234487">mcm_wifi_get_property</a> (char *interfaceName, char *<a class="el" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, char **<a class="el" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>, int cached)</td></tr>
<tr class="memdesc:a682a4e564a2efba3eaac897188234487"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get property.  <a href="mcm-wifi-info_8h.html#a682a4e564a2efba3eaac897188234487">More...</a><br /></td></tr>
<tr class="separator:a682a4e564a2efba3eaac897188234487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b499a079dee47cc76c1a698c788458d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-wifi-info_8h.html#a6b499a079dee47cc76c1a698c788458d">mcm_get_wifi_info</a> (char *interfaceName, <a class="el" href="structmcm__wifi__info.html">mcm_wifi_info</a> *wifi_info)</td></tr>
<tr class="memdesc:a6b499a079dee47cc76c1a698c788458d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get wifi informations.  <a href="mcm-wifi-info_8h.html#a6b499a079dee47cc76c1a698c788458d">More...</a><br /></td></tr>
<tr class="separator:a6b499a079dee47cc76c1a698c788458d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e96b2cee840eb77cf7b25c23c8cfdc2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mcm-wifi-info_8h.html#a0e96b2cee840eb77cf7b25c23c8cfdc2">mcm_get_wifi_aplist</a> (char *interfaceName, int *num, <a class="el" href="structmcm__wifi__ap.html">mcm_wifi_ap</a> **apilist)</td></tr>
<tr class="memdesc:a0e96b2cee840eb77cf7b25c23c8cfdc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">A help function for get wifi ap lists.  <a href="mcm-wifi-info_8h.html#a0e96b2cee840eb77cf7b25c23c8cfdc2">More...</a><br /></td></tr>
<tr class="separator:a0e96b2cee840eb77cf7b25c23c8cfdc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library is for Moxa Connection Management</p>
<dl class="section author"><dt>Author</dt><dd>York LY Chang <a href="#" onclick="location.href='mai'+'lto:'+'Yor'+'kL'+'Y.C'+'ha'+'ng@'+'mo'+'xa.'+'co'+'m'; return false;">YorkL<span style="display: none;">.nosp@m.</span>Y.Ch<span style="display: none;">.nosp@m.</span>ang@m<span style="display: none;">.nosp@m.</span>oxa.<span style="display: none;">.nosp@m.</span>com</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a0e96b2cee840eb77cf7b25c23c8cfdc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e96b2cee840eb77cf7b25c23c8cfdc2">&#9670;&nbsp;</a></span>mcm_get_wifi_aplist()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_wifi_aplist </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>num</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__wifi__ap.html">mcm_wifi_ap</a> **&#160;</td>
          <td class="paramname"><em>apilist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get wifi ap lists. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">apilist</td><td>(output) A wifi ap lists.</td></tr>
    <tr><td class="paramname">num</td><td>(output) wifi ap numbers.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a6b499a079dee47cc76c1a698c788458d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b499a079dee47cc76c1a698c788458d">&#9670;&nbsp;</a></span>mcm_get_wifi_info()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_get_wifi_info </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__wifi__info.html">mcm_wifi_info</a> *&#160;</td>
          <td class="paramname"><em>wifi_info</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get wifi informations. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">wifi_info</td><td>(output) A wifi informations structure.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a4f10d1aa692c35debef1a7e13683b7b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f10d1aa692c35debef1a7e13683b7b3">&#9670;&nbsp;</a></span>mcm_wifi_get_all_properties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_wifi_get_all_properties </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"><em>arr_len</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmcm__property__info.html">mcm_property_info</a> **&#160;</td>
          <td class="paramname"><em>info_arr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get all ethernet properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">arr_len</td><td>(output) Number of properties array.</td></tr>
    <tr><td class="paramname">info_arr</td><td>(output) Properties array.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get ethernet properties success return 0. If fail, return error number. </dd></dl>

</div>
</div>
<a id="a682a4e564a2efba3eaac897188234487"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a682a4e564a2efba3eaac897188234487">&#9670;&nbsp;</a></span>mcm_wifi_get_property()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mcm_wifi_get_property </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>interfaceName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>propertyName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>propertyValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cached</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A help function for get property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceName</td><td>(input) Interface name.</td></tr>
    <tr><td class="paramname">propertyName</td><td>(input) Property name.</td></tr>
    <tr><td class="paramname">cached</td><td>(input) Using caeched property value.</td></tr>
    <tr><td class="paramname">propertyValue</td><td>(output) Property value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>If get wifi property success return 0. If fail, return error number. </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
